.product-details-page {
    /*background: transparent linear-gradient(66deg, #333 0%, #CCC 100%) no-repeat right;*/
    border-radius: 0 0 0 5px;
    opacity: 1;
    background-size: 60%;
}

.product-details-page.green-portfolio{
   /* background: transparent linear-gradient(45deg, #000 30%, #CCC 100%)no-repeat right;*/
    border-radius: 0 0 0 5px;
    opacity: 1;
    background-size: 60%;
}

/*#product-details .owl-carousel{*/
/*    transform: rotate(90deg);*/
/*}*/
/*#product-details .owl-carousel .item{*/
/*    transform: rotate(-90deg);*/
/*    background-color: red;*/
/*}*/

/*#product-details .owl-carousel .owl-nav{*/
/*    display: flex;*/
/*    justify-content: space-between;*/
/*    position: absolute;*/
/*    width: 100%;*/
/*    top: calc(50% - 33px);*/
/*}*/

#product-details .product-images .item {
    border: 1px solid var(--light-white-v2);
    margin-bottom: 10px;
    border-radius: 5px;
    width: 100%;
    object-fit: contain;
    height: 135px;
    transition: all 0.2s ease-in;
    opacity: 0.5;
}

#product-details .product-images .active {
    border: 2px solid var(--dark-blue) !important;
    opacity: 1;
}

#product-details .product-images .item:hover {
    cursor: pointer;
    opacity: 1;
}

#product-details .product-images-mobile{
    max-height:500px;
    display: flex;
    align-items: center;
    flex-direction: column;
}
#product-details .product-images-mobile #slide-top{
    width: 100%;
    height: 30px;
    margin-bottom: 1rem;
    transform: rotate(180deg);
    display: none;
    transition: all 0.2s ease-in;
}

#product-details .product-images-mobile #slide-bottom{
    width: 100%;
    height: 30px;
    margin-top: 1rem;
}

#product-details .product-images-mobile img:hover{
    cursor: pointer;
    opacity: 1;
}

#product-details .slider-items{
    max-height: 440px;
    flex-wrap: nowrap;
    overflow-y: hidden;
}

#product-details .product-image {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 500px;
    border-radius: 5px;
    background-color: white;
    border: 1px solid var(--light-white-v2);
}

#product-details .product-image img {
    width: auto;
    max-height: 260px;
	max-height: 380px;
}

#product-details .product-image .like{
    color: var(--icon-light);
    position: absolute;
    top: 0;
    right: 0;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

#product-details .product-image .like.like-active {
    color: #27348B !important;
}


#product-details .product-image .flash-sale {
    position: absolute;
    top: 4%;
    height: 36px;
    right: 15%;
}


#product-details .product-details-bottom button {
    padding: 4px 12px;
    color: var(--dark-blue);
    border-radius: 5px;
    background-color: white;
    border: 1px solid var(--dark-blue);
    transition: all .1s ease;
    opacity: 1;
}

#product-details .product-details-bottom button:hover {
    opacity: 0.5;
    cursor: pointer;
}

#product-details .product-details {
    /*color: white;*/
}

#product-details .product-details h5 {
    font-weight: 400;
}

#product-details .product-details .discount-btn {
    background-color: var(--dark-red);
    padding: 4px 10px;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#product-details .product-details .exclusive-btn {
    background-color: white;
    padding: 4px 10px;
    border-radius: 5px;
    display: flex;
    color: var(--dark-red);
    justify-content: center;
    align-items: center;
}

#product-details .product-details .exclusive-view {
    background: transparent linear-gradient(50deg, #CC424D 0%, #FC5C5C 100%) 0% 0% no-repeat padding-box;
    box-shadow: 0px 0px 20px #393C4026;
    border-radius: 5px;
    opacity: 1;
    padding: 16px 24px;
}

#product-details .product-details .product-extras {
    background-color: white;
    border-radius: 5px;
    padding: 16px 24px;
    color: var(--text-black);
}

#product-details .product-details .product-extras p {
    margin-bottom: 0.5rem;

}

#product-details .product-details .product-extras div {
    border-bottom: 2px solid var(--light-white-v2);
}

#product-details .product-details .fecha-btn {
    font-size: 15px;
    border: 1px solid rgb(255, 255, 255);
    border-radius: 5px;
    background-color: transparent;
    color: white;
    padding: 4px 12px;
    opacity: 1;
    transition: all 0.3s ease;
}

#product-details .product-details .fecha-btn:hover {
    opacity: 0.8;
    cursor: pointer;
}

#product-details .product-details .cart-btn {
    border: 1px solid white;
    border-radius: 5px;
    background-color: white;
    color: var(--text-black);
    padding: 4px 12px;
    opacity: 1;
    transition: all 0.3s ease;
}

#product-details .product-details .cart-btn:hover {
    opacity: 0.8;
    cursor: pointer;
}


/*Product style*/
#products-id .products-header {
    background-color: var(--dark-green);
    border-radius: 5px;
    height: 400px;
}

#products-id .products-header h2 {
    color: var(--orange);
}

#products-id .see-more-products {
    color: var(--dark-green);
    font-weight: bold;
    margin: 2rem 0;
}



/* Producti details data style */

#product-details-data h2{
    font-size: 16px;
    font-weight: 700;
    color: var(--dark-blue);
}
 



#product-details-data .content{
    display: none;
}

/* table  */
.table-details-content{
    border-top: 5px solid var(--dark-blue);
    padding-top: 10px;
}


.table-details-content tr:nth-child(odd) {
    background-color: #F4F4F4; 
}

.table-details-content  tr:nth-child(even) {
    background-color:rgba(244, 244, 244, 0.5);  
}


.table-details-content tr{
    font-size: 14px;
}

.table-details-content td, .table-details-content th {
    border: none !important;
}


.btn.details-btn{
    background-color: var(--dark-blue) !important;
    color: var(--light-white-v3) !important;
}

.btn.details-btn:hover{ 
    opacity: 0.9;
}


#product-details-data .comment img{
    border-radius: 50px;
}

#product-details-data .comment h6{
    font-weight: 700;
}

#product-details-data .comment p{
    font-size: 12px;
}

#product-details-data .comment .stars i{
    font-size: 11px;
}


/* Puntucaion total */
.overall-rating{
    border-top: 5px solid var(--dark-blue);
    padding-top: 10px;

}
#product-details-data .rating-value {
    display: flex;
    align-items: center;
    font-size: 25px; /* Ajusta el tamaño de la fuente al que necesites */
    margin-bottom: 10px;
    font-weight: 700;
    gap: 0.5rem  ;
}
#product-details-data .rating-value i{
    font-size: 12px;
}

#product-details-data .rating-label {
    font-size: 16px; 
}

#product-details-data .rating-scale {
    display: flex;
    flex-direction: column;
}



#product-details-data .scale-item {
    display: flex;
    align-items: center;
}

#product-details-data .scale-label {
    width: 10%;  
    font-size: 0.8em; 
    font-weight: 700;
}

#product-details-data .scale-bar {
    height: 2px;  
    background-color: #141414; 
    border-radius: 2px; 
    transition: width 0.5s ease-in-out;  
}



/*green-porfolio Styles*/
.green-porfolio-icons{
    height: 100px;
}
.green-porfolio-icons .green-porfolio-main{
    background-color: var(--light-white-v3);
    border-radius: 50px;
    padding: 5px;
    position: absolute;
    z-index: 1;
}

.green-porfolio-icons .green-porfolio-content{
    background-color: var(--light-white-v3);
    padding: 1rem;
    padding-left: 2.5rem;
    position: absolute;
    left: 90px;
    z-index: 0;
    display: flex;
    gap: 1rem;
    border-radius: 10px;
}


/* Smartphones ---------------- */
@media only screen and (max-width: 767px) {
    #product-details {
        margin-bottom: 160px !important;
    }   

    #product-details  .product-extras{
        position: absolute;
        bottom: -220px;
        left: 0;
        right: 0;
        margin: 0 5%;
        width:90%;
    }
    .product-stock{
        position: absolute;
        bottom: -30px;
        left: 0;
        right: 0;
        margin: 0 5%;
        width:90%;
    }
    .green-porfolio-icons {
        position: absolute;
        bottom: 140px; 
        max-height: 60px;
    }
    .green-porfolio-main img{
        width: 70px;
    }
    .green-porfolio-content {
        padding: 0 !important;
    }
    .green-porfolio-content img{
        width: 30px;

    }

}